package Lambda;

public class FunctionalInterfaceTest {

	public static void main(String[] args) {
		
		berechneFunktion f = (a,b) -> a+b;
		
		System.out.println(f.berechne(12, 12));
		
		SwissKnife d = name -> System.out.println("obai");;
		
		
		
	}

}


interface berechneFunktion{
	
	 int berechne(int a , int b);
}

@FunctionalInterface
interface SwissKnife {
	
    default int compare(int i1, int i2) {
        return i1 - i2;
    }

    static void run() {
        System.out.println("Running !");
    }

    void welcomify(String name);
}